The Jalview Executable's Command Line Arguments

See running Jalview from the command line for more information.
Jalview processes arguments on the command line sequentially. If you would like to pass a 'JVL' file containing memory settings or any other launch parameters, then include it at the beginning of the command line to ensure they are processed before any remaining arguments.
Typical command line execution follows the following pattern:

      jalview -open <Alignment File/URL> [additional import arguments] [export arguments]

-nodisplay | Run Jalview without User Interface. (automatically disables questionnaire, version and usage stats checks)
-open FILE/URL | Specify the alignment file to open or process by providing additional arguments.
-props FILE/URL | Use the given Jalview properties file instead of users default.
-features FILE/URL | Use the given file to add sequence features to an alignment. See Features File (Known as Groups file prior to 2.08) description.
-colour COLOURSCHEME | Set the colourscheme for the alignment. This can be any of the built-in colourschemes, a name of a predefined colourscheme (defined in the Jalview properties file), or an 'inline' colourscheme (see the applet's colour parameter for more information).
-annotations FILE/URL | Add precalculated annotations to the alignment. See Annotation File description.
-tree FILE/URL | Load the given newick format tree file onto the alignment
-questionnaire URL | Queries the given URL for information about any Jalview user questionnaires
-noquestionnaire | Turn off questionnaire check
-nonews | Disable check for Jalview news on startup (not recommended other than for classroom / demo usage)
-nousagestats | Turn off google analytics usage tracking
-[no]sortbytree | Enable or disable automatic sorting of associated view when a new tree is displayed
-groovy FILE/URL | Execute groovy script in FILE (where FILE may be 'STDIN' to read from the standard input) after all other arguments have been processed
-jabaws URL | Specify the URL of the preferred JABAWS server
-fasta FILE | Create alignment file FILE in Fasta format.
-clustal FILE | Create alignment file FILE in Clustal format.
-msf FILE | Create alignment file FILE in MSF format.
-pileup FILE | Create alignment file FILE in Pileup format.
-pir FILE | Create alignment file FILE in PIR format.
-pfam FILE | Create alignment file FILE in PFAM format.
-blc FILE | Create alignment file FILE in BLC format.
-json FILE | Create alignment file FILE in JSON format.
-jalview FILE | Create alignment file FILE in Jalview format.
-png FILE | Create PNG image FILE from alignment.
-imgMap FILE | Create HTML file FILE with image map of PNG image.
-eps FILE | Create EPS file FILE from alignment.
-svg FILE | Create Scalable Vector Graphics file FILE from alignment.
-biojsMSA FILE | Write an HTML page to display the alignment with the BioJS MSAviewer MSA
-jvmmempc=PERCENT | Only available with standalone executable jar or jalview.bin.Launcher. Limit maximum heap size (memory) to PERCENT% of total physical memory detected. This defaults to 90 if total physical memory can be detected. See Memory usage settings for Jalview for more details.
-jvmmemmax=MAXMEMORY | Only available with standalone executable jar or jalview.bin.Launcher. Limit maximum heap size (memory) to MAXMEMORY. MAXMEMORY can be specified in bytes, kilobytes(k), megabytes(m), gigabytes(g) or if you're lucky enough, terabytes(t). This defaults to 32g if total physical memory can be detected, or to 8g if total physical memory cannot be detected. See Memory usage settings for Jalview for more details.